Bug 443706 - Files present in /srv
Files present in /srv
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vdr (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2008-04-22 18:25 EDT by Ignacio Vazquez-Abrams
Modified: 2013-01-09 23:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 15:14:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2008-04-22 18:25:09 EDT
This package contains files in /srv, which according to a recent packaging
guideline change is no longer allowed.

http://fedoraproject.org/wiki/Packaging/Guidelines#NoFilesOrDirectoriesUnderSrv

Please ensure that the files are placed elsewhere.
Comment 1 Bug Zapper 2008-05-14 05:58:40 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Ville Skyttä 2008-09-25 16:22:41 EDT
I have a work in progress change for this locally, but in VDR's case changing it so that it doesn't screw things up on upgrades is somewhat tricky, and at this point I don't feel like we have enough time to test both freshly installed and upgraded setups properly before F-10.  Therefore, I'd like to postpone this to F-11.

The dir changes we're planning are:

1) Stuff currently in /var/lib/vdr moves to /var/lib/vdr/data.

2) Stuff currently in /srv/vdr moves to /var/lib/vdr/video.

3) /srv/audio becomes unowned, it is used only by a few media plugins (not in Fedora) and a CD rip example command in /etc/vdr/commands.conf.  No strict need for VDR to own it even though the default example paths would point to it.
Comment 3 Jesse Keating 2008-10-03 19:10:57 EDT
We won't block this for 10.
Comment 4 Tom "spot" Callaway 2009-01-09 11:39:57 EST
Reopening. vdr is the last package in rawhide with files in /srv.
Comment 5 Ville-Pekka Vainio 2009-01-09 13:19:29 EST
(In reply to comment #4)
> Reopening. vdr is the last package in rawhide with files in /srv.

Which files, I can't see any in a local build of vdr-1.6.0-16.fc11.
Comment 6 Tom "spot" Callaway 2009-01-09 15:14:19 EST
My bad. I ran repoquery on an F10 box.

Note You need to log in before you can comment on or make changes to this bug.